function [Ishift]=alpacalc2(delta,Esv);

% function [Ishift]=alpacalc2(delta,Esv);
%---------------------------------xx-
% delta: [a;b;c;d]
%
% Esv:[isshift(2rows);a;b;c;d;exist(1row);v;(E+zeros)]
%


[nothing,ncomp]=size(delta);
[nrows,nothing]=size(Esv);
npot=(nrows-7)/2;

a=delta(1,:);%variables to optimize
b=delta(2,:);
c=delta(3,:);
d=delta(4,:);

isshift=Esv(1:2,:);

a0=Esv(3,:);%variables to keep constant if necessary
b0=Esv(4,:);
c0=Esv(5,:);
d0=Esv(6,:);
%exists or not
exist=Esv(7,:);

v=Esv(8:npot+7,:);%starts with the previous pure voltammograms

E=Esv(npot+8:end,1);

%(a is used only at the end)

for k=1:ncomp,
	if isshift(:,k)==[1;1],%the peak moves and changes width (a,b,c,d change)
            if exist(1,k)==1
                                                                             
            v(:,k)=(a(1,k)*(1+exp(-(E+c(1,k).*log(d(1,k))-b(1,k))./c(1,k))).^(-d(1,k)-1)).*((d(1,k).^-d(1,k))).*((d(1,k)+1).^(d(1,k)+1)).*(exp(-(E+c(1,k).*log(d(1,k))-b(1,k))./c(1,k)));
            else 
            v(:,k)=zeros;
            end
	elseif isshift(:,k)==[1;0],%the peak only moves (only a,b change)
			if exist(1,k)==1
			v(:,k)=(a(1,k)*(1+exp(-(E+c0(1,k).*log(d0(1,k))-b(1,k))./c0(1,k))).^(-d0(1,k)-1)).*((d0(1,k).^-d0(1,k))).*((d0(1,k)+1).^(d0(1,k)+1)).*(exp(-(E+c0(1,k).*log(d0(1,k))-b(1,k))./c0(1,k)));
			else 
            v(:,k)=zeros;
			end
	elseif isshift(:,k)==[0;1],%the peak only changes width (only a,c,d change)
			if exist(1,k)==1
			v(:,k)=(a(1,k)*(1+exp(-(E+c(1,k).*log(d(1,k))-b0(1,k))./c(1,k))).^(-d(1,k)-1)).*((d(1,k).^-d(1,k))).*((d(1,k)+1).^(d(1,k)+1)).*(exp(-(E+c(1,k).*log(d(1,k))-b0(1,k))./c(1,k)));
			else 
            v(:,k)=zeros;
            end
	end
end

Ishift=v(:,1)';
for k=2:ncomp
    Ishift=Ishift+v(:,k)';
end