function [int]=integrator(x,y,np)

%	Integrator function, by J.M. Daz, September 2001
%
%	function [int]=integrator(x,y,np)
%
%	Integrates y values as a function of x values 
%	using cubic spline interpolation to insert np points 
%  (10 by default) between each two original points
%


if nargin<3, np=10;end

[npoints,ans]=size(x);

npoints2=1+(npoints-1)*np;

int=0;

x2=[];
x2(1,1)=x(1,1);

dx=(x(npoints)-x(1))/(npoints2-1);

for n=2:npoints2,
x2(n,1)=x2(1,1)+(n-1)*dx;   
end;

y2=spline(x,y,x2);

%plot(x,y,'r.',x2,y2,'b');

int=dx*sum(y2(2:npoints2,1));



